--- b2sum/makefile.orig	2018-11-19 20:12:51.247182616 +0100
+++ b2sum/makefile	2018-11-19 21:07:32.725287176 +0100
@@ -1,6 +1,6 @@
 PROG=b2sum
 PREFIX?=/usr/local
-MANDIR?=$(PREFIX)/man
+MANDIR?=$(PREFIX)/share/man
 NO_OPENMP?=0
 NO_OPENMP_0=-fopenmp
 NO_OPENMP_1=
@@ -9,8 +9,14 @@ CFLAGS?=-O3 -march=native
 CFLAGS+=-std=c89 -Wall -Wextra -pedantic -Wno-long-long -I../sse
 CFLAGS+=$(NO_OPENMP_$(NO_OPENMP))
 LIBS=
-#FILES=b2sum.c ../ref/blake2b-ref.c ../ref/blake2s-ref.c ../ref/blake2bp-ref.c ../ref/blake2sp-ref.c
-FILES=b2sum.c ../sse/blake2b.c ../sse/blake2s.c ../sse/blake2bp.c ../sse/blake2sp.c
+
+USE?=ref
+LIB_ref=../ref/blake2b-ref.c ../ref/blake2s-ref.c ../ref/blake2bp-ref.c ../ref/blake2sp-ref.c
+LIB_sse=../sse/blake2b.c ../sse/blake2s.c ../sse/blake2bp.c ../sse/blake2sp.c
+LIB_neon=../neon/blake2b.c ../neon/blake2s.c ../neon/blake2bp.c ../neon/blake2sp.c
+
+FILES=b2sum.c $(LIB_$(USE))
+
 all: $(FILES)
 	$(CC) $(FILES) $(CFLAGS) $(LIBS) -o $(PROG)
 
